ros-rolling-rosidl-generator-c (5.1.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 08 Dec 2025 23:00:00 -0000

ros-rolling-rosidl-generator-c (5.1.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 10 Nov 2025 23:00:00 -0000

ros-rolling-rosidl-generator-c (5.1.0-1noble) noble; urgency=high

  * Export typing Information (#903 <https://github.com/ros2/rosidl/issues/903>)
  * Contributors: Michael Carlstrom

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sat, 04 Oct 2025 22:00:00 -0000

ros-rolling-rosidl-generator-c (5.0.1-1noble) noble; urgency=high

  * Uniform cmake minVersion (#849 <https://github.com/ros2/rosidl/issues/849>)
  * Contributors: mosfet80

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 28 Jul 2025 22:00:00 -0000

ros-rolling-rosidl-generator-c (5.0.0-1noble) noble; urgency=high

  * rosidl_cli: Add type description support (#857 <https://github.com/ros2/rosidl/issues/857>)
  * Contributors: Francisco Rossi

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 30 Jun 2025 22:00:00 -0000

ros-rolling-rosidl-generator-c (4.10.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 23 Apr 2025 22:00:00 -0000

ros-rolling-rosidl-generator-c (4.9.4-1noble) noble; urgency=high

  * Switch to ament_cmake_ros_core package (#856 <https://github.com/ros2/rosidl/issues/856>)
  * Contributors: Michael Carroll

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 17 Apr 2025 22:00:00 -0000

ros-rolling-rosidl-generator-c (4.9.3-1noble) noble; urgency=high

  * Deterministic iteration order for reproducible codegen (#846 <https://github.com/ros2/rosidl/issues/846>)
  * Contributors: Harry Sarson

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 19 Dec 2024 23:00:00 -0000

ros-rolling-rosidl-generator-c (4.9.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 24 Nov 2024 23:00:00 -0000

ros-rolling-rosidl-generator-c (4.9.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 19 Nov 2024 23:00:00 -0000

ros-rolling-rosidl-generator-c (4.9.0-1noble) noble; urgency=high

  * Add types rosidl_pycommon (#824 <https://github.com/ros2/rosidl/issues/824>)
  * Contributors: Michael Carlstrom

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 02 Oct 2024 22:00:00 -0000

ros-rolling-rosidl-generator-c (4.8.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 24 Jun 2024 22:00:00 -0000

ros-rolling-rosidl-generator-c (4.8.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 16 Jun 2024 22:00:00 -0000

ros-rolling-rosidl-generator-c (4.7.0-1noble) noble; urgency=high

  * Fixed warnings - strict-prototypes (#800 <https://github.com/ros2/rosidl/issues/800>)
  * Contributors: Alejandro Hernández Cordero

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 25 Apr 2024 22:00:00 -0000

ros-rolling-rosidl-generator-c (4.6.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 15 Apr 2024 22:00:00 -0000

ros-rolling-rosidl-generator-c (4.5.2-1noble) noble; urgency=high

  * Set hints to find the python version we actually want. (#785 <https://github.com/ros2/rosidl/issues/785>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 26 Mar 2024 23:00:00 -0000

ros-rolling-rosidl-generator-c (4.5.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 06 Feb 2024 23:00:00 -0000

ros-rolling-rosidl-generator-c (4.5.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 Dec 2023 23:00:00 -0000

ros-rolling-rosidl-generator-c (4.4.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 05 Nov 2023 23:00:00 -0000

ros-rolling-rosidl-generator-c (4.4.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 03 Oct 2023 22:00:00 -0000

ros-rolling-rosidl-generator-c (4.4.0-1noble) noble; urgency=high

  * Add rosidl_find_package_idl helper function (#754 <https://github.com/ros2/rosidl/issues/754>)
  * Contributors: Mike Purvis

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 06 Sep 2023 22:00:00 -0000

ros-rolling-rosidl-generator-c (4.3.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 20 Aug 2023 22:00:00 -0000

ros-rolling-rosidl-generator-c (4.3.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 10 Jul 2023 22:00:00 -0000

ros-rolling-rosidl-generator-c (4.2.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 06 Jun 2023 22:00:00 -0000

ros-rolling-rosidl-generator-c (4.1.1-1noble) noble; urgency=high

  * Fix IWYU for clangd in C and C++ (#742 <https://github.com/ros2/rosidl/issues/742>)
  * Contributors: Alexis Paques

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 10 May 2023 22:00:00 -0000

ros-rolling-rosidl-generator-c (4.1.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 27 Apr 2023 22:00:00 -0000

ros-rolling-rosidl-generator-c (4.0.0-1noble) noble; urgency=high

  * Type Description Codegen and Typesupport  (rep2011) (#727 <https://github.com/ros2/rosidl/issues/727>)
  * Expose type hash on typesupports (rep2011) (#729 <https://github.com/ros2/rosidl/issues/729>)
  * Type hash in interface codegen (rep2011) (#722 <https://github.com/ros2/rosidl/issues/722>)
  * Contributors: Emerson Knapp

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 10 Apr 2023 22:00:00 -0000

ros-rolling-rosidl-generator-c (3.4.0-1noble) noble; urgency=high

  * [service introspection] generate service_event messages (#700 <https://github.com/ros2/rosidl/issues/700>)
  * [rolling] Update maintainers - 2022-11-07 (#717 <https://github.com/ros2/rosidl/issues/717>)
  * Contributors: Audrow Nash, Brian

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 12 Feb 2023 23:00:00 -0000

ros-rolling-rosidl-generator-c (3.3.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 01 Nov 2022 23:00:00 -0000

ros-rolling-rosidl-generator-c (3.3.0-1noble) noble; urgency=high

  * Move rosidl_generator_c/cpp tests to a separate package (#701 <https://github.com/ros2/rosidl/issues/701>)
  * Move rosidl_cmake Python module to a new package rosidl_pycommon (#696 <https://github.com/ros2/rosidl/issues/696>)
    Deprecate the Python module in rosidl_cmake and move the implementation to the new package rosidl_pycommon.
  * Add namespaced ALIAS target to easily consume generated libraries via add_subdirectory (#605 <https://github.com/ros2/rosidl/issues/605>)
  * Contributors: Jacob Perron, Silvio Traversaro

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 07 Sep 2022 22:00:00 -0000

ros-rolling-rosidl-generator-c (3.2.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 20 Jun 2022 22:00:00 -0000

ros-rolling-rosidl-generator-c (3.2.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 03 May 2022 22:00:00 -0000

ros-rolling-rosidl-generator-c (3.1.3-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Apr 2022 22:00:00 -0000

ros-rolling-rosidl-generator-c (3.1.2-1noble) noble; urgency=high

  * Fix error handling when copying C sequence messages (#671 <https://github.com/ros2/rosidl/issues/671>)
  * Contributors: Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 04 Apr 2022 22:00:00 -0000

ros-rolling-rosidl-generator-c (3.1.1-1noble) noble; urgency=high

  * Install generated headers to include/${PROJECT_NAME} (#670 <https://github.com/ros2/rosidl/issues/670>)
  * Misc cleanup in the rosidl generator extensions (#662 <https://github.com/ros2/rosidl/issues/662>)
  * Set the output size unconditionally when copying sequences (#669 <https://github.com/ros2/rosidl/issues/669>)
  * Contributors: Nikolai Morin, Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 27 Mar 2022 22:00:00 -0000

ros-rolling-rosidl-generator-c (3.1.0-1noble) noble; urgency=high

  * Implement copy function for C messages (#650 <https://github.com/ros2/rosidl/issues/650>)
  * Implement equality operator function for C messages. (#648 <https://github.com/ros2/rosidl/issues/648>)
  * Generate documentation in generated C header files based on ROS interfaces comments (#593 <https://github.com/ros2/rosidl/issues/593>)
  * Contributors: Ivan Santiago Paunovic, Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 28 Feb 2022 23:00:00 -0000

ros-rolling-rosidl-generator-c (3.0.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 12 Jan 2022 23:00:00 -0000

ros-rolling-rosidl-generator-c (3.0.0-1noble) noble; urgency=high

  * Update package maintainers (#624 <https://github.com/ros2/rosidl/issues/624>)
  * Make rosidl packages use FindPython3 instead of FindPythonInterp (#612 <https://github.com/ros2/rosidl/issues/612>)
  * Contributors: Michel Hidalgo, Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 04 Nov 2021 23:00:00 -0000

ros-rolling-rosidl-generator-c (2.5.0-1noble) noble; urgency=high

  * Revert "Bundle and ensure the exportation of rosidl generated targets" (#611 <https://github.com/ros2/rosidl/issues/611>)
  * Contributors: Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 09 Aug 2021 22:00:00 -0000

ros-rolling-rosidl-generator-c (2.4.0-1noble) noble; urgency=high

  * Bundle and ensure the exportation of rosidl generated targets (#601 <https://github.com/ros2/rosidl/issues/601>)
  * Contributors: Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 11 Jul 2021 22:00:00 -0000

ros-rolling-rosidl-generator-c (2.3.0-1noble) noble; urgency=high

  * Fix a cpplint allocator regression. (#590 <https://github.com/ros2/rosidl/issues/590>)
  * Use RCUtils allocators in rosidl_generator_c (#584 <https://github.com/ros2/rosidl/issues/584>)
  * Contributors: Chris Lalancette, Pablo Garrido

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 10 Jun 2021 22:00:00 -0000

ros-rolling-rosidl-generator-c (2.2.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 05 Apr 2021 22:00:00 -0000

ros-rolling-rosidl-generator-c (2.2.0-1noble) noble; urgency=high

  * Expose C code generation via rosidl generate CLI (#569 <https://github.com/ros2/rosidl/issues/569>)
  * Contributors: Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 17 Mar 2021 23:00:00 -0000

ros-rolling-rosidl-generator-c (2.1.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 08 Mar 2021 23:00:00 -0000

ros-rolling-rosidl-generator-c (2.0.3-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 24 Jan 2021 23:00:00 -0000

ros-rolling-rosidl-generator-c (2.0.2-1noble) noble; urgency=high

  * Strip action service suffixes from C include prefix (#538 <https://github.com/ros2/rosidl/issues/538>)
  * Update the maintainers of this repository. (#536 <https://github.com/ros2/rosidl/issues/536>)
  * Contributors: Chris Lalancette, Jacob Perron

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 07 Dec 2020 23:00:00 -0000

ros-rolling-rosidl-generator-c (2.0.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 27 Sep 2020 22:00:00 -0000

ros-rolling-rosidl-generator-c (2.0.0-1noble) noble; urgency=high

  * Fix the declared language for a few packages (#530 <https://github.com/ros2/rosidl/issues/530>)
  * Contributors: Scott K Logan

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 23 Sep 2020 22:00:00 -0000

ros-rolling-rosidl-generator-c (1.1.0-1noble) noble; urgency=high

  * Do not depend on rosidl_runtime_c when tests are disabled (#503 <https://github.com/ros2/rosidl/issues/503>)
  * Contributors: Ben Wolsieffer

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 16 Aug 2020 22:00:00 -0000

ros-rolling-rosidl-generator-c (1.0.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 02 Jun 2020 22:00:00 -0000

ros-rolling-rosidl-generator-c (1.0.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 21 May 2020 22:00:00 -0000

ros-rolling-rosidl-generator-c (0.9.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 18 May 2020 22:00:00 -0000

ros-rolling-rosidl-generator-c (0.9.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 May 2020 22:00:00 -0000

ros-rolling-rosidl-generator-c (0.9.0-1noble) noble; urgency=high

  * Export targets in addition to include directories / libraries (#473 <https://github.com/ros2/rosidl/issues/473>)
  * Move non-entry point headers into detail subdirectory (#461 <https://github.com/ros2/rosidl/issues/461>)
  * Rename rosidl_generator_c 'namespace' to rosidl_runtime_c (#458 <https://github.com/ros2/rosidl/issues/458>)
  * Only export ament_cmake_core instead of ament_cmake (#459 <https://github.com/ros2/rosidl/issues/459>)
  * Split rosidl_generator_c and rosidl_generator_cpp in two: rosidl_generator_x and rosidl_runtime_x (#442 <https://github.com/ros2/rosidl/issues/442>)
  * Added rosidl_generator_c as a member of group rosidl_runtime_packages (#440 <https://github.com/ros2/rosidl/issues/440>)
  * Style update to match uncrustify with explicit language (#439 <https://github.com/ros2/rosidl/issues/439>)
  * Code style only: wrap after open parenthesis if not in one line (#435 <https://github.com/ros2/rosidl/issues/435>)
  * Use f-string (#436 <https://github.com/ros2/rosidl/issues/436>)
  * Move repeated logic for C include prefix into common function (#432 <https://github.com/ros2/rosidl/issues/432>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas, Jacob Perron

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 23 Apr 2020 22:00:00 -0000

ros-rolling-rosidl-generator-c (0.8.2-1noble) noble; urgency=high

  * Fix double free issue when initialization is failed (#423 <https://github.com/ros2/rosidl/issues/423>)
  * Contributors: DongheeYe

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 16 Jan 2020 23:00:00 -0000

ros-rolling-rosidl-generator-c (0.8.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 22 Oct 2019 22:00:00 -0000

ros-rolling-rosidl-generator-c (0.8.0-1noble) noble; urgency=high

  * [rosidl_generator_c] Updated tests for new msg types from test_interface_files (#398 <https://github.com/ros2/rosidl/issues/398>)
  * use latin-1 encoding when reading/writing .idl files, prepend BOM to generated C/C++ files when necessary (#391 <https://github.com/ros2/rosidl/issues/391>)
  * Set _FOUND to trick ament_target_dependencies() for test (#396 <https://github.com/ros2/rosidl/issues/396>)
  * Contributors: Dirk Thomas, Shane Loretz, Siddharth Kucheria

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 23 Sep 2019 22:00:00 -0000


